org.apache.ignite.internal.processors.cache

## Class GridCacheMapAdapter<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMapAdapter<K,V>

All Implemented Interfaces:
  ConcurrentMap<K,V>, Map<K,V>

    public class GridCacheMapAdapter<K,V>
    extends Object
    implements ConcurrentMap<K,V>

Wrapper to represent cache as `ConcurrentMap`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheMapAdapter(CacheProjection<K,V> prj)` Constructor.

### Method Summary

Methods
`void` `clear()`
`boolean` `containsKey(Object key)`
`boolean` `containsValue(Object value)`
`Set<Map.Entry<K,V>>` `entrySet()`
`V` `get(Object key)`
`boolean` `isEmpty()`
`Set<K>` `keySet()`
`V` `put(K key, V value)`
`void` `putAll(Map<? extends K,? extends V> map)`
`V` `putIfAbsent(K key, V val)`
`V` `remove(Object key)`
`boolean` `remove(Object key, Object val)`
`V` `replace(K key, V val)`
`boolean` `replace(K key, V oldVal, V newVal)`
`int` `size()`
`Collection<V>` `values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### GridCacheMapAdapter

    public GridCacheMapAdapter(CacheProjection<K,V> prj)

Constructor.

Parameters:
  `prj` - Cache to wrap.

### Method Detail

#### size

    public int size()

Specified by:
  `size` in interface `Map<K,V>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<K,V>`

#### containsKey

    public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map<K,V>`

#### containsValue

    public boolean containsValue(Object value)

Specified by:
  `containsValue` in interface `Map<K,V>`

#### get

    @Nullable
    public V get(Object key)

Specified by:
  `get` in interface `Map<K,V>`

#### put

    @Nullable
    public V put(K key,
                 V value)

Specified by:
  `put` in interface `Map<K,V>`

#### remove

    @Nullable
    public V remove(Object key)

Specified by:
  `remove` in interface `Map<K,V>`

#### putAll

    public void putAll(Map<? extends K,? extends V> map)

Specified by:
  `putAll` in interface `Map<K,V>`

#### putIfAbsent

    @Nullable
    public V putIfAbsent(K key,
                         V val)

Specified by:
  `putIfAbsent` in interface `ConcurrentMap<K,V>`

#### remove

    public boolean remove(Object key,
                 Object val)

Specified by:
  `remove` in interface `ConcurrentMap<K,V>`

#### replace

    public boolean replace(K key,
                  V oldVal,
                  V newVal)

Specified by:
  `replace` in interface `ConcurrentMap<K,V>`

#### replace

    @Nullable
    public V replace(K key,
                     V val)

Specified by:
  `replace` in interface `ConcurrentMap<K,V>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Map<K,V>`

#### keySet

    public Set<K> keySet()

Specified by:
  `keySet` in interface `Map<K,V>`

#### values

    public Collection<V> values()

Specified by:
  `values` in interface `Map<K,V>`

#### entrySet

    public Set<Map.Entry<K,V>> entrySet()

Specified by:
  `entrySet` in interface `Map<K,V>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015